diff --git i/goldendict.pro w/goldendict.pro
index fe2e4b4f..1c5f0c17 100644
--- goldendict.pro
+++ goldendict.pro
@@ -7,7 +7,7 @@ VERSION = 1.5.0+git
 # rebuilt; and doing it here is required too since any other way the RCC
 # compiler would complain if version.txt wouldn't exist (fresh checkouts).
 
-system(git describe --tags --always --dirty > version.txt): hasGit=1
+system(echo '@VERSION@' > version.txt): hasGit=1
 
 isEmpty( hasGit ) {
   message(Failed to precisely describe the version via Git -- using the default version string)
@@ -220,26 +220,23 @@ mac {
         -lvorbisfile \
         -lvorbis \
         -logg \
-        -lhunspell-1.6.1 \
+        -lhunspell-1.7 \
         -llzo2
     !CONFIG( no_ffmpeg_player ) {
         LIBS += -lao \
-            -lswresample-gd \
-            -lavutil-gd \
-            -lavformat-gd \
-            -lavcodec-gd
+            -lswresample \
+            -lavutil \
+            -lavformat \
+            -lavcodec
     }
-    INCLUDEPATH = $${PWD}/maclibs/include
-    LIBS += -L$${PWD}/maclibs/lib -framework AppKit -framework Carbon
+    LIBS += -framework AppKit -framework Carbon
     OBJECTIVE_SOURCES += lionsupport.mm \
                          machotkeywrapper.mm \
                          macmouseover.mm \
                          speechclient_mac.mm
     ICON = icons/macicon.icns
     QMAKE_INFO_PLIST = myInfo.plist
-    QMAKE_POST_LINK = mkdir -p GoldenDict.app/Contents/Frameworks & \
-                      cp -nR $${PWD}/maclibs/lib/ GoldenDict.app/Contents/Frameworks/ & \
-                      mkdir -p GoldenDict.app/Contents/MacOS/locale & \
+    QMAKE_POST_LINK = mkdir -p GoldenDict.app/Contents/MacOS/locale & \
                       cp -R locale/*.qm GoldenDict.app/Contents/MacOS/locale/ & \
                       mkdir -p GoldenDict.app/Contents/MacOS/help & \
                       cp -R $${PWD}/help/*.qch GoldenDict.app/Contents/MacOS/help/
@@ -576,7 +573,7 @@ CONFIG( no_epwing_support ) {
   SOURCES += epwing.cc \
              epwing_book.cc \
              epwing_charmap.cc
-  LIBS += -leb
+  LIBS += -lebu
 }
 
 CONFIG( chinese_conversion_support ) {
@@ -591,7 +588,7 @@ CONFIG( chinese_conversion_support ) {
     Release: LIBS += -lopencc
   } else {
     mac {
-      LIBS += -lopencc.2
+      LIBS += -lopencc
     } else {
       LIBS += -lopencc
     }
@@ -651,7 +648,7 @@ TRANSLATIONS += locale/ru_RU.ts \
   revtarget.target     = $$PWD/version.txt
 
   !win32 {
-    revtarget.commands   = cd $$PWD; git describe --tags --always --dirty > $$revtarget.target
+    revtarget.commands   = cd $$PWD; echo '@VERSION@' > $$revtarget.target
   } else {
     revtarget.commands   = git --git-dir=\"$$PWD/.git\" describe --tags --always --dirty > $$revtarget.target
   }
